# Tourplaner: tourplaner.business.Exporter Class Reference

tourplaner.business.Exporter Class Reference

## Public Member Functions

| Exporter (String path)
void | doExport () throws IOException
void | doImport ()

## Detailed Description

Ist für das importieren und Exportieren der Daten zuständig

## Constructor & Destructor Documentation

## Exporter()

tourplaner.business.Exporter.Exporter | ( | String | path | ) |

Erstellt den Exporter mit dem gegebenen Path

Parameters

  path | Gegebener Path

## Member Function Documentation

## doExport()

void tourplaner.business.Exporter.doExport | ( |  | ) | throws IOException

Führt den Export aus -> Holt daten, erstellt file

Exceptions

  IOException | Fehler beim File erstellen

## doImport()

void tourplaner.business.Exporter.doImport | ( |  | ) |

Führt den Imput aus -> File holen, Daten in db erstellen

Exceptions

  IOException | Fehler beim File öffnen

The documentation for this class was generated from the following file:

- src/tourplaner/business/Exporter.java